#
# Conditional build:
%bcond_without	systemd	# systemd inhibit service

Summary:	MATE power management service
Summary(pl.UTF-8):	Usługa zarządzania energią dla MATE
Name:		mate-power-manager
Version:	1.26.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://pub.mate-desktop.org/releases/1.26/%{name}-%{version}.tar.xz
# Source0-md5:	e789755a50a87a4c91b35218f2e0620a
URL:		https://github.com/mate-desktop/mate-power-manager
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.9
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	libcanberra-gtk3-devel >= 0.10
BuildRequires:	libnotify-devel >= 0.7.0
BuildRequires:	libsecret-devel >= 0.11
BuildRequires:	libtool >= 2:2
BuildRequires:	mate-common
BuildRequires:	mate-panel-devel >= 1.17.0
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	rpmbuild(macros) >= 1.596
%{?with_systemd:BuildRequires:	systemd-devel >= 1:195}
BuildRequires:	tar >= 1:1.22
BuildRequires:	upower-devel >= 0.99.8
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3.0
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.15
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires:	cairo >= 1.0.0
Requires:	dbus >= 1.0
Requires:	dbus-glib >= 0.70
Requires:	glib2 >= 1:2.50.0
Requires:	gtk+3 >= 3.22
Requires:	hicolor-icon-theme
Requires:	libcanberra-gtk3 >= 0.10
Requires:	libnotify >= 0.7.0
Requires:	libsecret >= 0.11
Requires:	mate-panel >= 1.17.0
Requires:	upower >= 0.99.8
Requires:	xorg-lib-libXrandr >= 1.3.0
Suggests:	udisks
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# use the same libexecdir as mate-panel
# (better solution: store mate-panel libexecdir in libmatepanelapplet-*.pc and read it here)
%define		matepanel_libexecdir	%{_libexecdir}/mate-panel

%description
MATE Power Manager uses the information and facilities provided by
UPower displaying icons and handling user callbacks in an interactive
MATE session.

%description -l pl.UTF-8
MATE Power Manager wykorzystuje informacje i funkcje udostępniane
przez UPower do wyświetlania ikon i obsługi reakcji użytkownika w
interaktywnej sesji MATE.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--libexecdir=%{matepanel_libexecdir} \
	--enable-applets \
	--disable-silent-rules \
	--disable-static \
	%{!?with_systemd:--without-systemdinhibit}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_ES,frp,ie,jv,ku_IQ,pms}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/help/{es_ES,frp,ie,jv,ku_IQ,zh-Hans}

%find_lang %{name} --with-mate

desktop-file-install \
	--delete-original \
	--remove-category=MATE \
	--add-category=X-Mate \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files  -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
/etc/xdg/autostart/mate-power-manager.desktop
%attr(755,root,root) %{_bindir}/mate-power-manager
%attr(755,root,root) %{_bindir}/mate-power-preferences
%attr(755,root,root) %{_bindir}/mate-power-statistics
%attr(755,root,root) %{_sbindir}/mate-power-backlight-helper
%attr(755,root,root) %{matepanel_libexecdir}/mate-brightness-applet
%attr(755,root,root) %{matepanel_libexecdir}/mate-inhibit-applet
%{_mandir}/man1/mate-power-backlight-helper.1*
%{_mandir}/man1/mate-power-manager.1*
%{_mandir}/man1/mate-power-preferences.1*
%{_mandir}/man1/mate-power-statistics.1*
%{_datadir}/%{name}
%{_datadir}/mate-panel/applets/org.mate.BrightnessApplet.mate-panel-applet
%{_datadir}/mate-panel/applets/org.mate.InhibitApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.PowerManager.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BrightnessAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.InhibitAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.power-manager.gschema.xml
%{_datadir}/polkit-1/actions/org.mate.power.policy
%{_desktopdir}/mate-power-preferences.desktop
%{_desktopdir}/mate-power-statistics.desktop
%{_iconsdir}/hicolor/*/apps/mate-brightness-applet.*
%{_iconsdir}/hicolor/*/apps/mate-inhibit-applet.*
%{_iconsdir}/hicolor/*/apps/mate-power-manager.*
%{_iconsdir}/hicolor/*/apps/mate-power-statistics.*
%changelog
* Sun May 07 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-power-manager.git;a=log;h=master

* Sat May 06 2023 Jan Palus <atler@pld-linux.org> 604a27f
- up to 1.26.1

* Sat May 06 2023 Jan Palus <atler@pld-linux.org> e658a74
- BR: polkit-devel for policy its

* Sun Aug 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 96b2666
- wiki page no longer exists, so switched URL to github
- require macros for update_icon_cache

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 76e1f39
- up to 1.26.0

* Fri Mar 26 2021 Jan Palus <atler@pld-linux.org> fb2af08
- up to 1.24.3

* Sat Aug 15 2020 Jan Palus <atler@pld-linux.org> 10d9ee8
- up to 1.24.2

* Sun Mar 15 2020 Jan Palus <atler@pld-linux.org> 7114687
- up to 1.24.1

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> 8bcd321
- up to 1.24.0

* Sun Sep 22 2019 Jan Palus <atler@pld-linux.org> 779a71a
- up to 1.22.2

* Wed May 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 8b498fe
- kab locale is supported now

* Tue Apr 23 2019 Jan Palus <atler@pld-linux.org> 55b1eee
- up to 1.22.1

* Tue Mar 19 2019 Jan Palus <atler@pld-linux.org> 12909c0
- up to 1.22.0

* Sat Dec 22 2018 Jan Palus <atler@pld-linux.org> 099f876
- up to 1.20.3

* Sun Dec 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 199f5f0
- honour system _libexecdir setting; release 2

* Sat Jun 16 2018 Jan Palus <atler@pld-linux.org> 1d02e60
- up to 1.20.2

* Mon Mar 26 2018 Jan Palus <atler@pld-linux.org> 8f19ddb
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> d9877b8
- up to 1.20.0

* Thu Nov 02 2017 Jan Palus <atler@pld-linux.org> 6128c61
- up to 1.18.1

* Sun Mar 19 2017 Jakub Bogusz <qboosh@pld-linux.org> 386633c
- BR+R upower

* Thu Mar 16 2017 Jan Palus <atler@pld-linux.org> c3d4394
- up to 1.18.0

